package io.lumine.cosmetics.config;

import io.lumine.cosmetics.MCCosmeticsPlugin;
import io.lumine.mythic.bukkit.MythicBukkit;
import io.lumine.mythic.bukkit.commands.CommandHelper;
import io.lumine.mythic.bukkit.utils.locale.Language;
import org.bukkit.command.CommandSender;

public class MCCLang extends Language {

    private static MCCLang instance;

    private static MCCLang inst() {
        return instance;
    }

    public static String get(String key, String defaultValue, Object... args) {
        return instance.getString(key, defaultValue, args);
    }

    public static void send(CommandSender sender, String key, String defaultValue, Object... args) {
        final var message = get(key, defaultValue, args);
        if(message != null && !message.isEmpty()) {
            CommandHelper.send(sender, message);
        }
    }

    public static void sendSuccess(CommandSender sender, String key, String defaultValue, Object... args) {
        final var message = get(key, defaultValue, args);
        if(message != null && !message.isEmpty()) {
            CommandHelper.sendSuccess(sender, get(key, defaultValue, args));
        }
    }

    public static void sendError(CommandSender sender, String key, String defaultValue, Object... args) {
        final var message = get(key, defaultValue, args);
        if(message != null && !message.isEmpty()) {
            CommandHelper.sendError(sender, get(key, defaultValue, args));
        }
    }

    public MCCLang(MCCosmeticsPlugin plugin) {
        super(MythicBukkit.inst(), "config/lang", "mythiccosmetics");
        instance = this;
    }

}
