package io.lumine.cosmetics.types.back;

import io.lumine.cosmetics.api.cosmetics.ColorableCosmetic;
import io.lumine.cosmetics.api.cosmetics.EquippedCosmetic;
import io.lumine.cosmetics.api.cosmetics.ItemCosmetic;
import io.lumine.cosmetics.api.players.CosmeticProfile;
import io.lumine.cosmetics.config.Scope;
import io.lumine.cosmetics.constants.CosmeticType;
import io.lumine.cosmetics.types.AbstractCosmetic;
import io.lumine.mythic.api.packs.Pack;
import io.lumine.mythic.bukkit.utils.config.properties.Property;
import io.lumine.mythic.bukkit.utils.config.properties.types.StringProp;
import io.lumine.mythic.bukkit.utils.items.ItemFactory;
import io.lumine.mythic.bukkit.utils.menu.Icon;

import lombok.Getter;
import org.bukkit.inventory.ItemStack;

import java.io.File;

public class BackAccessory extends AbstractCosmetic implements ColorableCosmetic,ItemCosmetic {

    private static final StringProp TYPE = Property.String(Scope.NONE, "Renderer", "ARMOR_STAND");

    @Getter
    private BackRendererType rendererType;

	public BackAccessory(BackManager manager, Pack pack, File file, String key) {
		super(manager, pack, file, CosmeticType.type(BackAccessory.class), key);

        this.rendererType = switch(TYPE.fget(file, key).toUpperCase()) {
            case "ARMORSTAND", "ARMOR_sTAND" -> BackRendererType.ARMOR_STAND;
            case "DISPLAY", "DISPLAY_ENTITY" -> BackRendererType.DISPLAY_ENTITY;
            default -> BackRendererType.ARMOR_STAND;
        };
	}

	@Override
	public String getPropertyNode() {
		return this.key;
	}

    @Override
    public ItemStack getCosmetic() {
        return getMenuItem();
    }

    @Override
    public ItemStack getCosmetic(EquippedCosmetic equipped) {
        var item = getMenuItem();
        
        if(equipped.getVariant() != null) {
            var variant = equipped.getVariant();
            item = ItemFactory.of(item).color(variant.getColor()).build();
        } else if(equipped.getColor() != null) {
            item = ItemFactory.of(item).color(equipped.getColor()).build();
        }

        return item;
    }
}
