package io.lumine.cosmetics.types.chat;

import io.lumine.cosmetics.api.menus.SelectionMenuContext;
import io.lumine.cosmetics.api.players.CosmeticProfile;
import io.lumine.cosmetics.config.Scope;
import io.lumine.cosmetics.constants.CosmeticType;
import io.lumine.cosmetics.types.AbstractCosmetic;
import io.lumine.mythic.api.packs.Pack;
import io.lumine.mythic.api.skills.placeholders.PlaceholderString;
import io.lumine.mythic.bukkit.utils.config.properties.Property;
import io.lumine.mythic.bukkit.utils.config.properties.types.StringProp;
import io.lumine.mythic.bukkit.utils.menu.Icon;
import lombok.Getter;

import java.io.File;

public class ChatColor extends AbstractCosmetic {

	private static final StringProp COLOR = Property.String(Scope.NONE, "Color");

	@Getter private final PlaceholderString chatColor;

	public ChatColor(ChatColorManager manager, Pack pack, File file, String key) {
	    super(manager, pack, file, CosmeticType.type(ChatColor.class), key);

		this.chatColor = PlaceholderString.of(COLOR.fget(file, this));
	}

}
