package io.lumine.cosmetics.types.modelengine;

import io.lumine.cosmetics.api.cosmetics.ColorableCosmetic;
import io.lumine.cosmetics.api.menus.SelectionMenuContext;
import io.lumine.cosmetics.api.players.CosmeticProfile;
import io.lumine.cosmetics.config.Scope;
import io.lumine.cosmetics.constants.CosmeticType;
import io.lumine.cosmetics.types.AbstractCosmetic;
import io.lumine.mythic.bukkit.utils.config.properties.Property;
import io.lumine.mythic.bukkit.utils.config.properties.types.BooleanProp;
import io.lumine.mythic.bukkit.utils.config.properties.types.EnumProp;
import io.lumine.mythic.bukkit.utils.config.properties.types.OrientProp;
import io.lumine.mythic.bukkit.utils.config.properties.types.StringProp;
import io.lumine.mythic.bukkit.utils.menu.Icon;
import io.lumine.mythic.bukkit.utils.serialize.Orient;
import lombok.Getter;

import java.io.File;

public class MEGAccessory extends AbstractCosmetic implements ColorableCosmetic {

	private static final StringProp MODEL = Property.String(Scope.NONE, "ModelId");
	private static final StringProp STATE = Property.String(Scope.NONE, "State");
	private static final OrientProp OFFSET = Property.Orient(Scope.NONE, "Offset");
	private static final EnumProp<ModelAnchor> MODELANCHOR = Property.Enum(Scope.NONE, ModelAnchor.class, "Anchor", ModelAnchor.BODY);
	private static final StringProp LEASH = Property.String(Scope.NONE, "LeashBone", null);

	@Getter private final String modelId;
	@Getter private final String state;
	@Getter private final Orient offset;
	@Getter private final ModelAnchor anchor;
	@Getter private final boolean leashed;
	@Getter private final String leashBone;

	public MEGAccessory(MEGManager manager, File file, String key) {
		super(manager, file, CosmeticType.type(MEGAccessory.class), key);

		modelId = MODEL.fget(file, this);
		state = STATE.fget(file, this);
		offset = OFFSET.fget(file, this);
		anchor = MODELANCHOR.fget(file, this);
		leashBone = LEASH.fget(file, this);

		if(leashBone != null) {
			leashed = true;
		} else {
			leashed = false;
		}
	}

	@Override
	public String getPropertyNode() {
		return key;
	}

}
